
TYPO3.Neos - Bug # 54584

Status: Closed Priority: Should have
Author: Chr is Category:
Created: 2013-12-23 Assigned To:
Updated: 2014-10-04 Due date:
Subject: Drag & Drop PDF files->Media Management = constantly exception on opening Media Management
Description

I opened my site's Media Management (http://www.example.org/neos/management/media).

Then I selected 2 PDF files from my Desktop, drag&dropped them to the Media Management field saying "... drop here".

I got the exception below.

From then on every attempt to access my site's Media Management (http://www.example.org/neos/management/media) fails with this
exception (deleting everything within directory /path/to/TYPO3-Neos/Data/Temporary did not help here!)

###############################################

Uncaught Exception in Flow
#1: Catchable Fatal Error: Argument 1 passed to TYPO3\Media\ViewHelpers\ImageViewHelper_Original::render() must implement
interface TYPO3\Media\Domain\Model\ImageInterface, instance of TYPO3\Media\Domain\Model\Document given in
/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Media_ViewHelpers_ImageViewHelper.php line 104
per.php line 104
More information

TYPO3\Flow\Error\Exception thrown in file
Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Error/ErrorHandler.php in line 77.
Reference code: 20131223210526c35325

Go to the FORGE issue tracker and report the issue - if you think it is a bug!

108 TYPO3\Flow\Error\ErrorHandler::handleError(4096, "Argument 1 passed to TYPO3\Media\ViewHelpers\Imageâ€¦nstance of
TYPO3\Media\Domain\Model\Document given", "/path/to.â€¦lasses/TYPO3_Media_ViewHelpers_ImageViewHelper.php", 104,
array|0|)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Media_ViewHelpers_ImageViewHe
per.php:
00102:   * @return string an <img...> html tag
00103:   */
00104:  public function render(ImageInterface $image = NULL, $maximumWidth = NULL, $maximumHeight = NULL, $allowCropping =
FALSE, $allowUpScaling = FALSE) {
00105:   $thumbnailImage = $this->getThumbnailImage($image, $maximumWidth, $maximumHeight, $allowCropping,
$allowUpScaling);
00106:

107 TYPO3\Media\ViewHelpers\ImageViewHelper_Original::render(TYPO3\Media\Domain\Model\Document, "250", "250", FALSE,
FALSE)

106 call_user_func_array(array|2|, array|5|)
Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

105 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253:

104 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;

103 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Parser/SyntaxTree/AbstractNode.php:
00049:      $output = (string) $output;
00050:     }
00051:     $subNodeOutput = $subNode->evaluate($renderingContext);
00052: 
00053:     if (is_object($subNodeOutput)) {

102 TYPO3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00302:    return $closure();
00303:   }
00304:   return $this->viewHelperNode->evaluateChildNodes($this->renderingContext);
00305:  }
00306:

101 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::renderChildren()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_Link_ActionVie
Helper.php:
00104:   }
00105:   $this->tag->addAttribute('href', $uri);
00106:   $this->tag->setContent($this->renderChildren());
00107:   $this->tag->forceClosingTag(TRUE);
00108:
100 TYPO3\Fluid\ViewHelpers\Link\ActionViewHelper_Original::render("edit", array|1|, NULL, NULL, NULL, "", "", array|0|, FALSE,
array|0|, FALSE, TRUE)

99 call_user_func_array(array|2|, array|12|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

98 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253:

97 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;

96 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Parser/SyntaxTree/AbstractNode.php:
00049:      $output = (string) $output;
00050:     }
00051:     $subNodeOutput = $subNode->evaluate($renderingContext);
00052: 
00053:     if (is_object($subNodeOutput)) {

95 TYPO3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00302:    return $closure();
00303:   }
00304:   return $this->viewHelperNode->evaluateChildNodes($this->renderingContext);
00305:  }
00306:

94 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::renderChildren()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00316:   $self = $this;

2015-08-04 3/21



00317:   return function() use ($self) {
00318:    return $self->renderChildren();
00319:   };
00320:  }

93 TYPO3\Fluid\Core\ViewHelper\{closure}()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_ForViewHelper
php:
00127:     $iterationData['cycle']++;
00128:    }
00129:    $output .= $renderChildrenClosure();
00130:    $templateVariableContainer->remove($arguments['as']);
00131:    if ($arguments['key'] !== '') {

92 TYPO3\Fluid\ViewHelpers\ForViewHelper_Original::renderStatic(array|5|, Closure,
TYPO3\Fluid\Core\Rendering\RenderingContext)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_ForViewHelper
php:
00078:   */
00079:  public function render($each, $as, $key = '', $reverse = FALSE, $iteration = NULL) {
00080:   return self::renderStatic($this->arguments, $this->buildRenderChildrenClosure(), $this->renderingContext);
00081:  }
00082:

91 TYPO3\Fluid\ViewHelpers\ForViewHelper_Original::render(TYPO3\Flow\Persistence\Doctrine\QueryResult, "asset", "", FALSE,
NULL)

90 call_user_func_array(array|2|, array|5|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

89 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253:

88 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;

87 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Parser/SyntaxTree/AbstractNode.php:
00049:      $output = (string) $output;
00050:     }
00051:     $subNodeOutput = $subNode->evaluate($renderingContext);
00052: 
00053:     if (is_object($subNodeOutput)) {

86 TYPO3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(TYPO3\Fluid\Core\Rendering\RenderingContext)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_R
otNode.php:
00026:   */
00027:  public function evaluate(RenderingContextInterface $renderingContext) {
00028:   return $this->evaluateChildNodes($renderingContext);
00029:  }
00030: }

85 TYPO3\Fluid\Core\Parser\SyntaxTree\RootNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_RenderChildre
ViewHelper.php:
00038: 
00039:   $this->addArgumentsToTemplateVariableContainer($arguments);
00040:   $output = $widgetChildNodes->evaluate($renderingContext);
00041:   $this->removeArgumentsFromTemplateVariableContainer($arguments);
00042:

84 TYPO3\Fluid\ViewHelpers\RenderChildrenViewHelper_Original::render(array|1|)

83 call_user_func_array(array|2|, array|1|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

82 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253:
81 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;

80 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Parser/SyntaxTree/AbstractNode.php:
00049:      $output = (string) $output;
00050:     }
00051:     $subNodeOutput = $subNode->evaluate($renderingContext);
00052: 
00053:     if (is_object($subNodeOutput)) {

79 TYPO3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(TYPO3\Fluid\Core\Rendering\RenderingContext)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_R
otNode.php:
00026:   */
00027:  public function evaluate(RenderingContextInterface $renderingContext) {
00028:   return $this->evaluateChildNodes($renderingContext);
00029:  }
00030: }

78 TYPO3\Fluid\Core\Parser\SyntaxTree\RootNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_ParsingState.p
p:
00096:   */
00097:  public function render(RenderingContextInterface $renderingContext) {
00098:   return $this->rootNode->evaluate($renderingContext);
00099:  }
00100:

77 TYPO3\Fluid\Core\Parser\ParsingState_Original::render(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00211:   } else {
00212:    $this->startRendering(self::RENDERING_TEMPLATE, $parsedTemplate, $this->baseRenderingContext);
00213:    $output = $parsedTemplate->render($this->baseRenderingContext);
00214:    $this->stopRendering();
00215:   }

76 TYPO3\Fluid\View\AbstractTemplateView::render()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionContro
ler.php:
00403: 
00404:   if ($actionResult === NULL && $this->view instanceof \TYPO3\Flow\Mvc\View\ViewInterface) {
00405:    $this->response->appendContent($this->view->render());
00406:   } elseif (is_string($actionResult) && strlen($actionResult) > 0) {
00407:    $this->response->appendContent($actionResult);

75 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionContro
ler.php:
00167:   }
00168: 
00169:   $this->callActionMethod();
00170: 
00171:  }

74 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Widget/AbstractWidgetController.php:
00051:   }
00052:   $this->widgetConfiguration = $widgetContext->getWidgetConfiguration();
00053:   parent::processRequest($request, $response);
00054:  }
00055:

73 TYPO3\Fluid\Core\Widget\AbstractWidgetController::processRequest(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Widget/AbstractWidgetViewHelper.php:
00196:   /** @var $subResponse Response */
00197:   $subResponse = $this->objectManager->get('TYPO3\Flow\Http\Response');
00198:   $this->controller->processRequest($subRequest, $subResponse);
00199:   return $subResponse;
00200:  }

72 TYPO3\Fluid\Core\Widget\AbstractWidgetViewHelper::initiateSubRequest()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_Widget_Pagina
eViewHelper.php:
00062:   */
00063:  public function render(QueryResultInterface $objects, $as, array $configuration = array('itemsPerPage' => 10, 'insertAbove' =>
FALSE, 'insertBelow' => TRUE, 'maximumNumberOfLinks' => 99)) {
00064:   $response = $this->initiateSubRequest();
00065:   return $response->getContent();
00066:  }

71 TYPO3\Fluid\ViewHelpers\Widget\PaginateViewHelper_Original::render(TYPO3\Flow\Persistence\Doctrine\QueryResult,
"paginatedAssets", array|2|)

70 call_user_func_array(array|2|, array|3|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

69 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Widget/AbstractWidgetViewHelper.php:
00100:   $this->initializeWidgetContext();
00101: 
00102:   return $this->callRenderMethod();
00103:  }
00104:

68 TYPO3\Fluid\Core\Widget\AbstractWidgetViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;

67 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Parser/SyntaxTree/AbstractNode.php:
00049:      $output = (string) $output;
00050:     }
00051:     $subNodeOutput = $subNode->evaluate($renderingContext);
00052: 
00053:     if (is_object($subNodeOutput)) {

66 TYPO3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(TYPO3\Fluid\Core\Rendering\RenderingContext)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_R
otNode.php:
00026:   */
00027:  public function evaluate(RenderingContextInterface $renderingContext) {
00028:   return $this->evaluateChildNodes($renderingContext);
00029:  }
00030: }

65 TYPO3\Fluid\Core\Parser\SyntaxTree\RootNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_ParsingState.p
p:
00096:   */
00097:  public function render(RenderingContextInterface $renderingContext) {
00098:   return $this->rootNode->evaluate($renderingContext);
00099:  }
00100:
64 TYPO3\Fluid\Core\Parser\ParsingState_Original::render(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00340:    $output = $this->renderSection($sectionName, $variables);
00341:   } else {
00342:    $output = $parsedPartial->render($renderingContext);
00343:   }
00344:   $this->stopRendering();

63 TYPO3\Fluid\View\AbstractTemplateView::renderPartial("ThumbnailView", NULL, array|2|)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_RenderViewHe
per.php:
00088: 
00089:   if ($partial !== NULL) {
00090:    return $this->viewHelperVariableContainer->getView()->renderPartial($partial, $section, $arguments);
00091:   } elseif ($section !== NULL) {
00092:    return $this->viewHelperVariableContainer->getView()->renderSection($section, $arguments, $optional);

62 TYPO3\Fluid\ViewHelpers\RenderViewHelper_Original::render(NULL, "ThumbnailView", array|1|, FALSE)

61 call_user_func_array(array|2|, array|4|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

60 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253:

59 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;

58 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Parser/SyntaxTree/AbstractNode.php:
00049:      $output = (string) $output;

2015-08-04 9/21



00050:     }
00051:     $subNodeOutput = $subNode->evaluate($renderingContext);
00052: 
00053:     if (is_object($subNodeOutput)) {

57 TYPO3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00302:    return $closure();
00303:   }
00304:   return $this->viewHelperNode->evaluateChildNodes($this->renderingContext);
00305:  }
00306:

56 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::renderChildren()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_ThenViewHelp
r.php:
00029:   */
00030:  public function render() {
00031:   return $this->renderChildren();
00032:  }
00033: }

55 TYPO3\Fluid\ViewHelpers\ThenViewHelper_Original::render()

54 call_user_func_array(array|2|, array|0|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

53 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253:

52 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;
51 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractConditionViewHelper.php:
00089:    if ($childNode instanceof ViewHelperNode
00090:     && $childNode->getViewHelperClassName() === 'TYPO3\Fluid\ViewHelpers\ThenViewHelper') {
00091:     $data = $childNode->evaluate($this->renderingContext);
00092:     return $data;
00093:    }

50 TYPO3\Fluid\Core\ViewHelper\AbstractConditionViewHelper::renderThenChild()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_IfViewHelper.p
p:
00098:  public function render($condition) {
00099:   if ($condition) {
00100:    return $this->renderThenChild();
00101:   } else {
00102:    return $this->renderElseChild();

49 TYPO3\Fluid\ViewHelpers\IfViewHelper_Original::render(TRUE)

48 call_user_func_array(array|2|, array|1|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

47 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253:

46 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;

45 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Parser/SyntaxTree/AbstractNode.php:
00049:      $output = (string) $output;
00050:     }
00051:     $subNodeOutput = $subNode->evaluate($renderingContext);
00052: 
00053:     if (is_object($subNodeOutput)) {

44 TYPO3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00302:    return $closure();
00303:   }
00304:   return $this->viewHelperNode->evaluateChildNodes($this->renderingContext);
00305:  }
00306:

43 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::renderChildren()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_SectionViewHe
per.php:
00106:   if ($this->viewHelperVariableContainer->exists('TYPO3\Fluid\ViewHelpers\SectionViewHelper',
'isCurrentlyRenderingSection')) {
00107:    $this->viewHelperVariableContainer->remove('TYPO3\Fluid\ViewHelpers\SectionViewHelper',
'isCurrentlyRenderingSection');
00108:    return $this->renderChildren();
00109:   }
00110:   return '';

42 TYPO3\Fluid\ViewHelpers\SectionViewHelper_Original::render()

41 call_user_func_array(array|2|, array|0|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

40 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253:

39 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;

38 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00271: 
00272:    $this->startRendering($renderingTypeOnNextLevel, $parsedTemplate, $renderingContext);
00273:    $output = $section->evaluate($renderingContext);
00274:    $this->stopRendering();
00275:   }

37 TYPO3\Fluid\View\AbstractTemplateView::renderSection("Content", array|1|, FALSE)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_RenderViewHe
per.php:
00090:    return $this->viewHelperVariableContainer->getView()->renderPartial($partial, $section, $arguments);
00091:   } elseif ($section !== NULL) {
00092:    return $this->viewHelperVariableContainer->getView()->renderSection($section, $arguments, $optional);
00093:   }
00094:   return '';

36 TYPO3\Fluid\ViewHelpers\RenderViewHelper_Original::render("Content", NULL, array|0|, FALSE)

35 call_user_func_array(array|2|, array|4|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

34 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253:

33 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_Vi
wHelperNode.php:
00139:   }
00140: 
00141:   $output = $viewHelper->initializeArgumentsAndRender();
00142: 
00143:   return $output;

32 TYPO3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)
Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/Parser/SyntaxTree/AbstractNode.php:
00049:      $output = (string) $output;
00050:     }
00051:     $subNodeOutput = $subNode->evaluate($renderingContext);
00052: 
00053:     if (is_object($subNodeOutput)) {

31 TYPO3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(TYPO3\Fluid\Core\Rendering\RenderingContext)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_SyntaxTree_R
otNode.php:
00026:   */
00027:  public function evaluate(RenderingContextInterface $renderingContext) {
00028:   return $this->evaluateChildNodes($renderingContext);
00029:  }
00030: }

30 TYPO3\Fluid\Core\Parser\SyntaxTree\RootNode_Original::evaluate(TYPO3\Fluid\Core\Rendering\RenderingContext)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_Core_Parser_ParsingState.p
p:
00096:   */
00097:  public function render(RenderingContextInterface $renderingContext) {
00098:   return $this->rootNode->evaluate($renderingContext);
00099:  }
00100:

29 TYPO3\Fluid\Core\Parser\ParsingState_Original::render(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00207:    }
00208:    $this->startRendering(self::RENDERING_LAYOUT, $parsedTemplate, $this->baseRenderingContext);
00209:    $output = $parsedLayout->render($this->baseRenderingContext);
00210:    $this->stopRendering();
00211:   } else {

28 TYPO3\Fluid\View\AbstractTemplateView::render()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionContro
ler.php:
00403: 
00404:   if ($actionResult === NULL && $this->view instanceof \TYPO3\Flow\Mvc\View\ViewInterface) {
00405:    $this->response->appendContent($this->view->render());
00406:   } elseif (is_string($actionResult) && strlen($actionResult) > 0) {
00407:    $this->response->appendContent($actionResult);

27 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionContro
ler.php:
00167:   }
00168: 
00169:   $this->callActionMethod();
00170: 
00171:  }

26 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\Flow\Http\Response)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00075:    try {
00076:     $this->emitBeforeControllerInvocation($request, $response, $controller);
00077:     $controller->processRequest($request, $response);
00078:     $this->emitAfterControllerInvocation($request, $response, $controller);
00079:    } catch (StopActionException $exception) {

25 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00292:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00293:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['dispatch'])) {
00294:   $result = parent::dispatch($request, $response);
00295: 
00296:   } else {

24 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Neos_Controller_Backend_Module
ontroller.php:
00074:   $moduleResponse = new Response($this->response);
00075: 
00076:   $this->dispatcher->dispatch($moduleRequest, $moduleResponse);
00077: 
00078:   if ($moduleResponse->hasHeader('Location')) {

23 TYPO3\Neos\Controller\Backend\ModuleController_Original::indexAction(array|3|)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Neos_Controller_Backend_Module
ontroller.php:
00231:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00232:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['indexAction'])) {
00233:   $result = parent::indexAction($module);
00234: 
00235:   } else {

22 TYPO3\Neos\Controller\Backend\ModuleController::indexAction(array|3|)

21 call_user_func_array(array|2|, array|1|)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Neos_Controller_Backend_Module
ontroller.php:
00217:   if (CLASS !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00218:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00219:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00220:   }
00221:  }
20 TYPO3\Neos\Controller\Backend\ModuleController::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

19 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_PolicyEnfor
ementAspect.php:
00060:   }
00061: 
00062:   $result = $joinPoint->getAdviceChain()->proceed($joinPoint);
00063: 
00064:   // @TODO Once we use the AfterInvocation again, it needs to be invoked here and its result returned instead.

18 TYPO3\Flow\Security\Aspect\PolicyEnforcementAspect_Original::enforcePolicy(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

17 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

16 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Neos_Controller_Backend_Module
ontroller.php:
00245:      $adviceChain->rewind();
00246:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Neos\Controller\Backend\ModuleController', 'indexAction',
$methodArguments, $adviceChain);
00247:      $result = $adviceChain->proceed($joinPoint);
00248: 
00249:    } catch (\Exception $e) {

15 TYPO3\Neos\Controller\Backend\ModuleController::indexAction(array|3|)

14 call_user_func_array(array|2|, array|1|)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionContro
ler.php:
00371: 
00372:   if (!$validationResult->hasErrors()) {
00373:    $actionResult = call_user_func_array(array($this, $this->actionMethodName), $preparedArguments);
00374:   } else {
00375:    $actionIgnoredArguments = static::getActionIgnoredValidationArguments($this->objectManager);

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionContro
ler.php:
00167:   }
00168: 
00169:   $this->callActionMethod();
00170: 
00171:  }

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\Flow\Http\Response)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00075:    try {
00076:     $this->emitBeforeControllerInvocation($request, $response, $controller);
00077:     $controller->processRequest($request, $response);
00078:     $this->emitAfterControllerInvocation($request, $response, $controller);
00079:    } catch (StopActionException $exception) {

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00292:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00293:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['dispatch'])) {
00294:   $result = parent::dispatch($request, $response);
00295: 
00296:   } else {

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00276:   if (CLASS !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00277:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00278:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00279:   }
00280:  }

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_RequestDis
atchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6
TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO
O3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments,
$adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()
Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this->activeRequestHandler->handleRequest();
00114:  }
00115:

1 TYPO3\Flow\Core\Bootstrap::run()

/path/to/htdocs/index.php:
00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();

Related issues:
duplicated by TYPO3.Neos - Bug # 55771: Uploading PDF as Media ends up in exc... Resolved 2014-02-07

History
#1 - 2013-12-25 00:35 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 3 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#2 - 2013-12-25 00:35 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#3 - 2013-12-26 15:49 - Chr is

After Upgrading to Development Master I get while Entering Media Management (http://example.org/neos/management/media)

######################################
500 Internal Server Error

An internal error occurred.

When contacting the maintainer of this application please mention the following reference code:

20131226154642c30280######################################

#4 - 2013-12-26 15:56 - Chr is

After flushing the cache I get the same error msg with reference code

201312261552165fe10d

and after changing Shebang line of file "flow" to
#!/usr/bin/php -d magic_quotes_gpc=0 -d date.timezone="Europe/Berlin" 

and flushing the cache afterwards I get the same error msg with reference code

20131226155442724521

#5 - 2013-12-26 15:58 - Chr is

I am not sure if the reference code is helpful- it changes everytime I reload the Page http://example.org/neos/management/media

Seems like a hash with time reference in it.

What is the reference code's purpose?

#6 - 2013-12-28 11:13 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#7 - 2014-01-04 20:47 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#8 - 2014-01-04 20:52 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#9 - 2014-01-04 21:05 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#10 - 2014-01-04 21:06 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#11 - 2014-01-04 21:06 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

2015-08-04 20/21

http://example.org/neos/management/media
https://review.typo3.org/26549
https://review.typo3.org/26549
https://review.typo3.org/26549
https://review.typo3.org/26549
https://review.typo3.org/26549
https://review.typo3.org/26549


#12 - 2014-02-08 17:12 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#13 - 2014-02-08 17:14 - Gerrit Code Review

Patch set 1 for branch 1.0 of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27467

#14 - 2014-10-04 13:03 - Jonas Renggli
- Status changed from Under Review to Closed

Changes have been merged.
Should be fixed since Neos 1.0.2 and 1.1.0
